Skip to main content
DELETE
/
notifications
/
{notification_guid}
Delete notification
curl --request DELETE \
  --url https://int-data.moneydesktop.com/notifications/{notification_guid} \
  --header 'MD-SESSION-TOKEN: <api-key>'
Only notifications with type API_NOTIFICATION may be deleted via API. Attempting to delete a notification of a different notification type will result in a 403 Forbidden response status.

Authorizations

MD-SESSION-TOKEN
string
header
required

MX Session Token

  • Request an API token using the read API token endpoint in the MX SSO API.
  • Exchange an API token for a session token.
    • A session token is obtained by sending a POST request to /sessions
    • The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
    • This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
    • If you send a request with an expired session token you'll receive an error code of 4011.
curl -i https://int-data.moneydesktop.com/accounts \
-H 'MD-SESSION-TOKEN: CWforZl1Vn2vC_v6H4rnQRT1DoWpDouJAV-_5TBmiQRAtA8rsOG_BoajTiOSsL0A3bd-bmHXlA-eQzc9ywItKg' \
-H 'Content-Type: application/vnd.mx.nexus.v1+json' \
-H 'Accept: application/vnd.mx.nexus.v1+json'

In documentation code examples, replace <API_KEY_VALUE> with the session token.

Path Parameters

notification_guid
string
required

The unique identifier for notifications. Defined by MX.

Response

204

No content